> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Query Pledges

POST https://api.virtuoussoftware.com/api/v2/Pledge/Query
Content-Type: application/json

Reference: https://virtuous.ferndocs.com/reference/crm-plus/giving/query-pledges

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Query parameters

- `skip` (integer, optional) — The number of records to skip. Default = 0.
- `take` (integer, optional) — The number of records to take. Default = 10. Max is 1000.

### Body (application/json)

This endpoint expects an object.

- `groups` (list of ApiV2PledgeQueryPostRequestBodyContentApplicationJsonSchemaGroupsItems, optional)
- `sortBy` (string, optional)
- `descending` (string, optional)

## Response

### 200

OK

- `list` (list of ApiV2PledgeQueryPostResponsesContentApplicationJsonSchemaListItems, optional)
- `total` (string, optional)

## Types

### ApiV2PledgeQueryPostRequestBodyContentApplicationJsonSchemaGroupsItems

- `conditions` (list of ApiV2PledgeQueryPostRequestBodyContentApplicationJsonSchemaGroupsItemsConditionsItems, optional)

### ApiV2PledgeQueryPostResponsesContentApplicationJsonSchemaListItems

- `id` (string, optional)
- `contactId` (string, optional)
- `amountPledged` (string, optional)
- `frequency` (string, optional)
- `pledgeDate` (string, optional)
- `expectedFulfillmentDate` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `segmentId` (string, optional)
- `segment` (string, optional)
- `projectId` (string, optional)
- `project` (string, optional)
- `isPrivate` (string, optional)
- `status` (string, optional)
- `payments` (list of ApiV2PledgeQueryPostResponsesContentApplicationJsonSchemaListItemsPaymentsItems, optional)
- `customFields` (list of ApiV2PledgeQueryPostResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems, optional)

### ApiV2PledgeQueryPostRequestBodyContentApplicationJsonSchemaGroupsItemsConditionsItems

- `parameter` (string, optional)
- `operator` (string, optional)
- `value` (string, optional)
- `secondaryValue` (string, optional)
- `values` (list of string, optional)

### ApiV2PledgeQueryPostResponsesContentApplicationJsonSchemaListItemsPaymentsItems

- `id` (string, optional)
- `expectedPaymentDate` (string, optional)
- `expectedAmount` (string, optional)
- `giftId` (string, optional)
- `actualAmount` (string, optional)

### ApiV2PledgeQueryPostResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Request**

```json
{
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string:required>",
          "operator": "<string:required>",
          "value": "<string:optional>",
          "secondaryValue": "<string:optional>",
          "values": [
            "<string:optional>",
            "<string:optional>"
          ]
        },
        {
          "parameter": "<string:required>",
          "operator": "<string:required>",
          "value": "<string:optional>",
          "secondaryValue": "<string:optional>",
          "values": [
            "<string:optional>",
            "<string:optional>"
          ]
        }
      ]
    }
  ],
  "sortBy": "<string:optional:default=id>",
  "descending": "<boolean:optional:default=false>"
}
```

**Response**

```json
{
  "list": [
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "amountPledged": "<double>",
      "frequency": "<string>",
      "pledgeDate": "<dateTime>",
      "expectedFulfillmentDate": "<dateTime>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "projectId": "<integer>",
      "project": "<string>",
      "isPrivate": "<boolean>",
      "status": "<string>",
      "payments": [
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        },
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        }
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    },
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "amountPledged": "<double>",
      "frequency": "<string>",
      "pledgeDate": "<dateTime>",
      "expectedFulfillmentDate": "<dateTime>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "projectId": "<integer>",
      "project": "<string>",
      "isPrivate": "<boolean>",
      "status": "<string>",
      "payments": [
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        },
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        }
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    }
  ],
  "total": "<integer>"
}
```

**SDK Code**

```python Giving_queryPledges_example
import requests

url = "https://api.virtuoussoftware.com/api/v2/Pledge/Query"

querystring = {"skip":"1","take":"1"}

payload = {
    "groups": [{ "conditions": [
                {
                    "parameter": "<string:required>",
                    "operator": "<string:required>",
                    "value": "<string:optional>",
                    "secondaryValue": "<string:optional>",
                    "values": ["<string:optional>", "<string:optional>"]
                },
                {
                    "parameter": "<string:required>",
                    "operator": "<string:required>",
                    "value": "<string:optional>",
                    "secondaryValue": "<string:optional>",
                    "values": ["<string:optional>", "<string:optional>"]
                }
            ] }],
    "sortBy": "<string:optional:default=id>",
    "descending": "<boolean:optional:default=false>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Giving_queryPledges_example
const url = 'https://api.virtuoussoftware.com/api/v2/Pledge/Query?skip=1&take=1';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"groups":[{"conditions":[{"parameter":"<string:required>","operator":"<string:required>","value":"<string:optional>","secondaryValue":"<string:optional>","values":["<string:optional>","<string:optional>"]},{"parameter":"<string:required>","operator":"<string:required>","value":"<string:optional>","secondaryValue":"<string:optional>","values":["<string:optional>","<string:optional>"]}]}],"sortBy":"<string:optional:default=id>","descending":"<boolean:optional:default=false>"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Giving_queryPledges_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/v2/Pledge/Query?skip=1&take=1"

	payload := strings.NewReader("{\n  \"groups\": [\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string:required>\",\n          \"operator\": \"<string:required>\",\n          \"value\": \"<string:optional>\",\n          \"secondaryValue\": \"<string:optional>\",\n          \"values\": [\n            \"<string:optional>\",\n            \"<string:optional>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string:required>\",\n          \"operator\": \"<string:required>\",\n          \"value\": \"<string:optional>\",\n          \"secondaryValue\": \"<string:optional>\",\n          \"values\": [\n            \"<string:optional>\",\n            \"<string:optional>\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"sortBy\": \"<string:optional:default=id>\",\n  \"descending\": \"<boolean:optional:default=false>\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Giving_queryPledges_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/v2/Pledge/Query?skip=1&take=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"groups\": [\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string:required>\",\n          \"operator\": \"<string:required>\",\n          \"value\": \"<string:optional>\",\n          \"secondaryValue\": \"<string:optional>\",\n          \"values\": [\n            \"<string:optional>\",\n            \"<string:optional>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string:required>\",\n          \"operator\": \"<string:required>\",\n          \"value\": \"<string:optional>\",\n          \"secondaryValue\": \"<string:optional>\",\n          \"values\": [\n            \"<string:optional>\",\n            \"<string:optional>\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"sortBy\": \"<string:optional:default=id>\",\n  \"descending\": \"<boolean:optional:default=false>\"\n}"

response = http.request(request)
puts response.read_body
```

```java Giving_queryPledges_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/v2/Pledge/Query?skip=1&take=1")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"groups\": [\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string:required>\",\n          \"operator\": \"<string:required>\",\n          \"value\": \"<string:optional>\",\n          \"secondaryValue\": \"<string:optional>\",\n          \"values\": [\n            \"<string:optional>\",\n            \"<string:optional>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string:required>\",\n          \"operator\": \"<string:required>\",\n          \"value\": \"<string:optional>\",\n          \"secondaryValue\": \"<string:optional>\",\n          \"values\": [\n            \"<string:optional>\",\n            \"<string:optional>\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"sortBy\": \"<string:optional:default=id>\",\n  \"descending\": \"<boolean:optional:default=false>\"\n}")
  .asString();
```

```php Giving_queryPledges_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.virtuoussoftware.com/api/v2/Pledge/Query?skip=1&take=1', [
  'body' => '{
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string:required>",
          "operator": "<string:required>",
          "value": "<string:optional>",
          "secondaryValue": "<string:optional>",
          "values": [
            "<string:optional>",
            "<string:optional>"
          ]
        },
        {
          "parameter": "<string:required>",
          "operator": "<string:required>",
          "value": "<string:optional>",
          "secondaryValue": "<string:optional>",
          "values": [
            "<string:optional>",
            "<string:optional>"
          ]
        }
      ]
    }
  ],
  "sortBy": "<string:optional:default=id>",
  "descending": "<boolean:optional:default=false>"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Giving_queryPledges_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/v2/Pledge/Query?skip=1&take=1");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"groups\": [\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string:required>\",\n          \"operator\": \"<string:required>\",\n          \"value\": \"<string:optional>\",\n          \"secondaryValue\": \"<string:optional>\",\n          \"values\": [\n            \"<string:optional>\",\n            \"<string:optional>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string:required>\",\n          \"operator\": \"<string:required>\",\n          \"value\": \"<string:optional>\",\n          \"secondaryValue\": \"<string:optional>\",\n          \"values\": [\n            \"<string:optional>\",\n            \"<string:optional>\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"sortBy\": \"<string:optional:default=id>\",\n  \"descending\": \"<boolean:optional:default=false>\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Giving_queryPledges_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "groups": [["conditions": [
        [
          "parameter": "<string:required>",
          "operator": "<string:required>",
          "value": "<string:optional>",
          "secondaryValue": "<string:optional>",
          "values": ["<string:optional>", "<string:optional>"]
        ],
        [
          "parameter": "<string:required>",
          "operator": "<string:required>",
          "value": "<string:optional>",
          "secondaryValue": "<string:optional>",
          "values": ["<string:optional>", "<string:optional>"]
        ]
      ]]],
  "sortBy": "<string:optional:default=id>",
  "descending": "<boolean:optional:default=false>"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/v2/Pledge/Query?skip=1&take=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```